{% extends 'base.html' %}
{% load static %}

{% block title %}{{curr_kelas.id_pelatihan}} {% endblock title %}

{% block styling %}
<!-- Profile styles -->
<link rel="stylesheet" type="text/css" href="{% static 'program/daftar_program.css' %}">
{% endblock styling %}

{% block content %}
<div class='container'>
    <div class='title'>
        <h1>{{curr_kelas.id_pelatihan}}</h1>
    </div>
    {% if not transaksi.bukti_transaksi %}
    Pelatihan belum dibayar
    <a href="#uploadBukti" data-toggle="modal">Lakukan pembayaran?</a>
    {% elif transaksi.bukti_transaksi and not transaksi.terkonfirmasi %}
    Pelatihan telah terbayar. Mohon tunggu konfirmasi dari admin.
    {%endif%}

    
</div>

<div class="modal fade" id="uploadBukti" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" style="color:black">
    <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLongTitle">Pembayaran</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            Unggah bukti pembayaran:
            <form method="post" action="/kelas/{{curr_kelas.id_kelas}}/">
                {% csrf_token %}
                {{img_form}}
                <button class="btn btn-daftar" type="submit" style="background-color:#020865; color:white;">Daftar</button>
            </form>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Batal</button>
        </div>
    </div>
    </div>
</div>

 {% endblock content %}
 
 {% block customScript %}
 {% endblock customScript %}